%define debug_package %{nil}
Name:           ukui-window-switch
Version:        3.0.1
Release:        7
Summary:        Front of the window switch
License:        GPL-2.0-or-later and BSD
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz
Patch1:         0001-add-3.0.1-1-changelog-info.patch

BuildRequires: qt5-qtbase-devel
BuildRequires: libblkid-devel
BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libwnck3-devel
BuildRequires: gtk3-devel
BuildRequires: gsettings-qt-devel
BuildRequires: gsettings-qt

Requires: ukwm >= 1.1.0

%description
 Front of the window switcher in UKUI desktop environment.
 Provides the display function(Display window thumbnails and application
 icons) when the window is switching (press Alt+Tab key).

%prep
%setup -q
%patch1 -p1

%build
qmake-qt5 
make -j32

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_sysconfdir}/ukui/ukui-window-switch/
%{_bindir}/ukui-window-switch
%{_datadir}/dbus-1/
%{_datadir}/ukui-window-switch/

%changelog
* Tue Jun 28 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.1-7
- add 3.0.1-1 changelog info

* Wed May 25 2022 tanyulong <tanyulong@kylinos.cn> - 3.0.1-6
- Improve the project according to the requirements of compliance improvement

* Wed Apr 06 2022 tanyulong <tanyulong@kylinos.cn> - 3.0.1-5
- add yaml file

* Mon Mar 28 2022 huayadong <huayadong@kylinos.cn> - 3.0.1-4
- The first time a user opens the multitasking view, a white area flashes in the top left corner

* Sat Jul 31 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-3
- Fix multi process contention for the DBusName in VNC environment

* Tue Jul 29 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-2
- fix template with C linkage error

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.1-1
- update to upstream version 3.0.0-1+1103

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 2.0.2-1
- Init package for openEuler
